
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #113

Ogg Vorbis detection and linking issues?

May 17, 2012 22:57 - Michael Schwendt

Status: Closed Start date: May 17, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/filewriter Estimated time: 0.00 hour

Target version: 3.2.3   

Affects version:    

Description

This is in reply to the "Audacious 3.2.2 does not compile in OpenSuSE 12.1" thread in the forum, but with regard to latest git code.

[...]

audacious-plugins

src/filewriter/Makefile

uses ${OGG_VORBIS_CFLAGS} but not ${OGG_VORBIS_LIBS}

/src/configure.ac

runs a pkgconfig module check for Ogg Vorbis in two locations,

defining OGG_VORBIS_CFLAGS and OGG_VORBIS_LIBS two times,

once for $have_oggvorbis, the second time for $have_vorbisenc in the filewriter_vorbis check,

both checks can be disabled independently, so this is okay, but:

includes the optional libvorbisfile library "vorbisfile.pc" in both Ogg Vorbis module checks,

because the base "vorbis" plugin depends on it - the filewriter doesn't

in the filewriter_vorbis check, the "ogg vorbis vorbisfile" check is repeated when it really wants

"ogg vorbis vorbisenc". Instead, an explicit pkg-config command-line invocation is added to the

FILEWRITER_CFLAGS and FILEWRITER_LIBS variables to query "vorbisenc.pc"

Attached (albeit untested) patch would fix that. For the filewriter, it introduces OGG_VORBISENC_CFLAGS and

OGG_VORBISENC_LIBS.

History

#1 - May 19, 2012 19:27 - John Lindgren

- Category set to plugins/filewriter

- Target version set to 3.2.3

- % Done changed from 0 to 100

I made things simple and just used the same command line switch (--disable-vorbis), same pkg-config check, and same CFLAGS and LIBS for both

the Vorbis decoder and the Vorbis encoder in filewriter.

https://github.com/audacious-media-player/audacious-plugins/commit/ea1d4a56a0bd32e8496344b363ec9eda459120ac

#2 - May 19, 2012 19:27 - John Lindgren

- Status changed from New to Closed

Files

audacious-plugins-oggvorbis-2.patch 1.78 KB May 17, 2012 Michael Schwendt
